<?php if (!defined('PmWiki')) exit();

# turn everything on
SDV($scriptlocation, 'wikipublisher');  // so wikilog finds its i18 file
$enable_publish = true;     // enables wikilog publish
$PublishForm    = 1;     // enables wikiform publish
$PublishSearch  = true;     // enables search publish
$EnablePDF      = true;     // enables PDF generation
$EnablePDFDebug = true;     // enables PDF debug option
$MarkupCss      = true;     // use css for markup extensions
SDV($Skin, 'latexpmwiki');      // requires 'rename' and 'search'
if ($WikiTitle=='PmWiki') $WikiTitle='PmWiki+WikiPublisher'; // change default

# most things require markup.php to be loaded
SDV($WikipublisherD, "$FarmD/cookbook");
$WikipublisherD .= "/$scriptlocation";

# add the wikipublisher/wikilib.d to $WikiLibDirs
$PageStorePath = "$WikipublisherD/wikilib.d/\$FullName";
$where = count($WikiLibDirs);
if ($where>1) $where--;
array_splice($WikiLibDirs, $where, 0, array(new PageStore($PageStorePath)));

$WikipublisherExtensions = array(
        'latex/latex',      // *required*
        'markup',           // *required*
        'pagetoc',          // (optional)
	    'pdf2you',          // *required*
	'mailform',		// loads if error encountered
        'rename',           // (optional)
        'search',           // (optional)
        'titledictindex',   // (optional)
        'wikiform',         // *required*
        'wikilog',          // (optional)
	    'wikipublisher',    // *required*
        'wpversion',        // *required*
        );
foreach ((array)$WikipublisherExtensions as $m) {
    SDV($MarkupEnabled[$m],1);
    if ($MarkupEnabled[$m]) include_once("$WikipublisherD/$m.php");
}

$LinkFunctions["Wikipublisher:"] = 'LinkIMap';
$IMap["Wikipublisher:"] = 'http://www.wikipublisher.org/wiki/index.php?n=$1';
Markup('latex',"<'^",'/\\bLa[Tt]e[Xx]\\b/',"L'-'^A^'-'T'_E_'X");

?>